import { OAuthLoginConfig } from "./oauth-login-config";
import { RouterInstance } from "../../../meta/client/framework";
export declare function getBearerAccessToken(accessToken: string): string;
export declare function onMicrosoftLogin(): Promise<void>;
export declare function microsoftOAuth(getCodeParam: string, router: RouterInstance): Promise<void>;
/** @monorepo-internal */
export declare function setMicrosoftAuthParams(code?: string): ({
    name: "auth";
    value: "microsoft";
} | {
    name: "code";
    value: string;
})[];
/** @monorepo-internal */
export declare function getMicrosoftOAuthConfig(): OAuthLoginConfig;
